using System;
using System.IO;
using SQLite;
using TourDataManager.Entities;

namespace TourDataManager {
    
    public class Stock
    {
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        public string Symbol { get; set; }
    }

    public class Valuation
    {
        [PrimaryKey, AutoIncrement]
        public int Id { get; set; }
        [Indexed]
        public int StockId { get; set; }
        public DateTime Time { get; set; }
        public decimal Price { get; set; }
    }
    
    public class Db {
        public Db(string rootPath){
            
            // Get an absolute path to the database file
            var databasePath = Path.Combine(rootPath,"sandbox.sqlite");

            var db = new SQLiteConnection(databasePath);
            db.Execute("PRAGMA foreign_keys=ON");

            for (int i = 0; i < 10; i++){
                db.Insert(new Estate{Id = i, Title = $"Estate{i}", Created = "Vchera", TourCount = i * 2});
            }
            
            for (int i = 0; i < 2; i++){
                db.Insert(new Tour{
                    Id = i, 
                    Title = $"Tour{i}", 
                    Created = "1 year ago",
                    State = 0,Type = "aws",
                    EstateId = 3
                });
            }
            
            
            

        }
    }
}